.sidebar {
    width: 250px;
    background-color: #252d3a;
    color: #ffffff;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    overflow-x: hidden;
    padding-top: 20px;
    z-index: 1; /* Ensure the sidebar stays above other elements */
  }
  
  .logo img {
    width: 100px; /* Increased logo size */
    padding: 15px 20px;
    display: block;
  }
  
  .sidebar-menu {
    list-style: none;
    padding: 0;
    margin-top: 20px; /* Add some top margin */
  }
  .sidebar-menu .menu-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 10px;
    position: relative;
  }
  .sidebar-menu .menu-item .dropdown-arrow {
    margin-left: 10px; /* Adjust this value as needed */
    transition: transform 0.3s;
  }
  
  .sidebar-menu .menu-item.open .dropdown-arrow {
    transform: rotate(180deg);
  }
  .sidebar-menu li {
    padding: 15px 20px; /* Increased padding for each item */
    border-bottom: 1px solid #354151;
    transition: background-color 0.3s; /* Add a transition effect on hover */
  }
  
  .sidebar-menu li:last-child {
    border-bottom: none; /* Remove border from last item */
  }
  
  .sidebar-menu li a {
    color: #ffffff;
    text-decoration: none;
    text-transform:uppercase;
    display: flex;
    align-items: center;
    transition: color 0.3s;
    font-size:20px;
  }
  
  .sidebar-menu li i {
    margin-right: 15px;
  }
  
  .sidebar-menu li:hover {
    background-color: #354151; /* Change background color on hover */
  }
  
  .sidebar-menu li a:hover {
    color: #66b3ff; /* Change text color on hover */
  }
  .sidebar-menu li:active{
    color: #66b3ff;
  }

  
  .dropdown-menu {
    display: none; /* Initially hide dropdown menus */
    position: absolute;
    top: 0;
    left: 100%;
    background-color: #354151;
    width: 200px;
    padding: 10px 0;
    border-radius: 0 0 5px 5px;
    z-index: 1
  }
  
  .sidebar-menu li:hover .dropdown-menu {
    display: block; /* Show dropdown on hover */
  }
  /* Existing styles for sidebar and menu */
.log-out-button{
    margin-left:1em;
}
.sidebar-menu .active {
  border-bottom: 2px solid #66b3ff; /* Add a blue line under the active item */
}
  .log-out-button button {
    width: 50%;
    padding: 10px;
    background-color: transparent;
    border: 1px solid #2065b4;
    color: #fff;
    font-size: 15px;
    font-weight: bold;
    margin-left:0;
    text-transform: uppercase;
    cursor: pointer;
  }
  .log-out-button button:hover{
    background-color:  #2065b4;
  }
  
  /* Existing styles for sidebar and menu */

.dropdown-content {
    padding: 10px;
    padding-right:0px;
    font-size:5px;
  }
  .dropdown-content a{
    font-size:10px;
  }

.dropdown-arrow {
    position:absolute;
    right: 10px;
    top: auto;
    transition: transform 0.5s ease-in-out;
    cursor:pointer;
  }
  
  .open {
    transform: rotate(180deg);
  }
  /* Add this style for the dropdown content */
.sidebar-menu .dropdown-content a {
    font-size: 16px; /* Adjust this value as needed */
    color: #ffffff;
    text-decoration: none;
    display: block;
    padding: 8px 20px;
    transition: background-color 0.3s;
  }
  
  .sidebar-menu .dropdown-content a:hover {
    background-color: #354151;
  }
  .sidebar-menu .menu-item.open .dropdown-menu {
    z-index: 2;
  }
  .sidebar.visible {
    width: 250px; /* Show the sidebar when visible */
  }